package cn.superdesk.uniorder.redis.model001.channel;

import cn.superdesk.uniorder.service.accounting.unified.supplier.AccountingUnifiedSupplierService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * @Description: 非继承方式
 * @Author: linjinyu
 * @CreateDate: 2021/2/4 下午3:02
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/4 下午3:02
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class ProcessMessagesChannelAccountingUnifiedCustomer {



	public synchronized void monitorBroadcast(/* accountingOrderSn */String message) {

		try {
			log.info("\n\n我监听到频道1的消息啦 , 消息是 : {}\n\n", message);
		} catch (Exception e) {
			log.info("消息监听失败啦~~~~~~~");
		}
	}
}
